<template>
	<view class="app">
		<view class="background">
			<view class="content">
				<view class="title">
					{{title}}
				</view>
				<image mode="" :src="require('../images/putongka.png')" v-if='region==2&&score>=0&&score<800' />
				<image mode="" :src="require('../images/yinka.png')" v-if='region==2&&score>=800&&score<1600' />
				<image mode="" :src="require('../images/jinka.png')" v-if='region==2&&score>=1600&&score<2400' />
				<image mode="" :src="require('../images/bojinka.png')" v-if='region==2&&score>=2400&&score<3000' />
				<image mode="" :src="require('../images/zuanshika.png')" v-if='region==2&&score>=3000' />
				<image src="@/static/pagesB/Behave.png" mode="" v-if='region!=2' :style="region!=2?'height:350rpx':''">
				</image>
				<view class="name" v-if='region!=2'>我的积分
				</view>
				<view class="number" :style="region!=2?'top:35%;':''">
					<span
						:style="score>=0&&score<800?'color:#fff':score>=800&&score<1600?'color:#D3BC96':score>=1600&&score<2400?'color:#AD7600':score>=2400&&score<3000?'color:#FAEEDB':score>=3000?'color:#4864ED':''">
						{{score?score:0}}
					</span>
				</view>
				<view class="flex" v-if="region!=2">
					<view class="item" @tap='gointegral'>
						积分商城
					</view>
					<view class="item" @tap="goexchange">
						兑换记录
					</view>
					<view class="item" v-if="region==2" @tap="gowxSport">
						微信运动
					</view>
				</view>
			</view>
			<view class="content" style="height: 200rpx;" v-if="region==2">
				<view class="flex" style="top:10%">
					<view class="item" @tap='gointegral'>
						积分商城
					</view>
					<view class="item" @tap="goexchange">
						兑换记录
					</view>
					<view class="item" @tap="gowxSport">
						微信运动
					</view>
				</view>
				<view class="flex" style="top:50%">
					<view class="item" @tap='gobehavior'>
						健康行为
					</view>
					<view class="item" @tap='goFiveCardPackage'>
						五卡套餐
					</view>
					<view style="width:25%">
					</view>
				</view>
			</view>
			<view class="bottomitem">
				<view class="PointsRecord">
					积分记录
				</view>
				<view class="" v-if="list&&list.length>0">
					<view class="item" v-for="item in list">
						<view class="Establishingarchives">
							{{item.actName}}
						</view>
						<view class="integral" v-if="item.score>0">
							{{'+'+item.score}}
						</view>
						<view class="integral integraltwo" v-else>
							{{item.score}}
						</view>
						<view class="timeone">
							{{item.scoreDate}}
						</view>
					</view>
				</view>
				<u-empty v-else mode="list" icon-size='220' text='暂无积分记录'></u-empty>
			</view>
		</view>
	</view>
</template>
<script>
	import {
		scorelist,
		scoretotal
	} from '@/api/pagesB/Behaviorpoints/index.js'
	import {
		detail,
	} from '@/api/pages/homepage/homepage.js'
	// import {
	// 	mapActions
	// } from "vuex";
	export default {
		data() {
			return {
				query: {
					identity: uni.getStorageSync('userinfo').cardNo,
					pageNum: 1,
					pageSize: 10,
				},
				region: uni.getStorageSync('region'),
				list: [],
				total: 0,
				score: 0,
				orgNo: '',
				title: '',
			};
		},
		onShow() {
			this.list = []
			this.query.pageNum = 1
			this.info();
			this.scoretotalinfo();
		},
		onReady() { //更改导航栏文字
			if (uni.getStorageSync('region') == 2) {
				detail(this.query.identity).then(res => {
					let name = res.data.countyName.split('区')[0].split('县')
					this.orgNo = res.data.orgNo
					this.title = '东营健康银行' + name + '分行'
					uni.setNavigationBarTitle({
						title: '东营健康银行' + name + '分行'
					});
				})
			} else {
				uni.setNavigationBarTitle({
					title: '积分兑换'
				});
			}
		},
		methods: {
			scoretotalinfo() {
				scoretotal(this.query.identity).then(res => {
					this.score = res.data
				})
			},
			info() {
				scorelist(this.query).then(res => {
					this.list = [...this.list, ...res.rows]
					this.total = res.total
				})
			},
			gowxSport() {
				uni.navigateTo({
					url: "/pagesC/wxSport/wxSport"
				})
			},
			goexchange() {
				uni.navigateTo({
					url: `/pagesB/exchangerecords/exchangerecords`
				})
			},
			gobehavior() {
				uni.navigateTo({
					url: `/pagesB/behavior/behavior?orgNo=${this.orgNo}`
				})
			},
			//积分页面
			// ...mapActions(["integralopenPopup"]),
			gointegral() {
				// const value = uni.getStorageSync('openid');
				// const value2 = uni.getStorageSync('patientId');
				// if (value && value2) {
				// 	setTimeout(e => {
				// 		uni.navigateTo({
				// 			url: `/pagesB/healthybeans/healthybeans?integral=${this.appPersonallist.integral}`
				// 		})
				// 	}, 0)
				// } else {
				uni.navigateTo({
					url: '/pagesB/PointsMall/PointsMall'
				})
				// this.gologin();
				// }
			},
			goFiveCardPackage() {
				uni.navigateTo({
					url: "/pagesB/FiveCardPackage/FiveCardPackage"
				})
			},
		},
		onReachBottom() { //下滑加载
			if (this.list.length >= this.total) {} else {
				this.query.pageNum++
				this.info();
			}
		},
		onPullDownRefresh() { //下拉刷新
			this.query.pageNum = 1;
			this.list = []
			this.info();
			setTimeout(function() {
				uni.stopPullDownRefresh();
			}, 1000);
		},
	}
</script>
<style lang="scss">
	@import './Behaviorpoints.scss'
</style>